List of workflow events.













Workflows Events Endpoints












Examples
Real world code examples
Get Stream Events
GET /v1/workflows/events/stream
200
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/stream \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnullGet Workflow Events
GET /v1/workflows/events/list
200
Successful Response
events
next_cursor
Cursor for pagination.
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/events/list \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"events": [
{
"attributes": {
"input": {
"value": "approved"
},
"task_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow"
},
"event_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow",
"workflow_run_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
]
}{
"events": [
{
"attributes": {
"input": {
"value": "approved"
},
"task_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow"
},
"event_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"event_timestamp": 87,
"parent_workflow_exec_id": null,
"root_workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_exec_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"workflow_name": "support-workflow",
"workflow_run_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
]
}